<?php
//////////////////////////////////////////////////////////////
// Copyright (C) 2009 : Tangui Morlier, Benjamin Ooghe, Collectif
// This file is part of Regards Citoyens' CPC Project.
// The Project is free software: you can redistribute it 
// and/or modify it under the terms of the Affero General
// Public License as published by Free Software Foundation
// either version 3 of the License, or (at your option)
// any later version.

// The Project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the 
// implied warranty of MERCHANTABILITY or FITNESS FOR 
// A PARTICULAR PURPOSE. See the Affero General Public
// License for more details.

// You should have received a copy of the Affero General
// Public
// License in the COPYING file that comes with Regards 
// Citoyen's CPC Project.
// If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------?>
<?php $titre = 'Recherche d\'amendements'; ?>
<h1><?php echo $titre; ?></h1>
<?php $sf_response->setTitle($titre);
  if (!isset($amendements))
    echo include_component('amendement', 'pagerAmendements', array('amendement_query' => $amendements_query, 'lois' => $lois));
  else { ?>
<?php if (!count($amendements)) { ?>
<p>Nous n'avons pas trouvé d'amendement correspondant à votre recherche.</p>
<?php } else { ?>
<p><?php $total = count($amendements);
  echo $total;?> amendement<?php if ($total>1) echo 's'; ?> trouvé<?php if ($total>1) echo 's'; ?>&nbsp;:</p>
<ul>
<?php foreach($amendements as $a) :?>
<li><?php echo link_to('Amendement n°'.$a->numero.' portant sur le texte de loi n°'.$a->texteloi_id.', '.$a->sujet, '@amendement?id='.$a->id); ?></li>
<?php endforeach; ?>
</ul>
<?php } } ?>
