<?php
//////////////////////////////////////////////////////////////
// Copyright (C) 2009 : Tangui Morlier
// This file is part of Regards Citoyens' CPC Project.
// The Project is free software: you can redistribute it 
// and/or modify it under the terms of the Affero General
// Public License as published by Free Software Foundation
// either version 3 of the License, or (at your option)
// any later version.

// The Project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the 
// implied warranty of MERCHANTABILITY or FITNESS FOR 
// A PARTICULAR PURPOSE. See the Affero General Public
// License for more details.

// You should have received a copy of the Affero General
// Public
// License in the COPYING file that comes with Regards 
// Citoyen's CPC Project.
// If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------?>
<?php

if (isset($parlementaire)) {
  $feed->setTitle("Les commentaires portant sur l'activité de ".$parlementaire->nom);
  $feed->setLink('http://'.$_SERVER['HTTP_HOST'].url_for('@parlementaire_commentaires?slug='.$parlementaire->slug));
 }else {
  $feed->setTitle("Les derniers commentaires de NosDeputes.fr");
  $feed->setLink('http://'.$_SERVER['HTTP_HOST'].url_for('@commentaires_rss'));
 }  
foreach($commentaires as $c)
{
  $item = new sfFeedItem();
  $item->setTitle($c->getPresentation());
  $item->setLink('http://'.$_SERVER['HTTP_HOST'].url_for($c->getLien()));
  $item->setAuthorName($c->getCitoyen()->login);
  $item->setPubdate(strtotime($c->created_at));
  $item->setUniqueId('Commentaire'.$c->id);
  $item->setDescription($c);
  $feed->addItem($item);
}

decorate_with(false);
echo $feed->asXml();
