<?php
//////////////////////////////////////////////////////////////
// Copyright (C) 2009 : Tangui Morlier
// This file is part of Regards Citoyens' CPC Project.
// The Project is free software: you can redistribute it 
// and/or modify it under the terms of the Affero General
// Public License as published by Free Software Foundation
// either version 3 of the License, or (at your option)
// any later version.

// The Project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the 
// implied warranty of MERCHANTABILITY or FITNESS FOR 
// A PARTICULAR PURPOSE. See the Affero General Public
// License for more details.

// You should have received a copy of the Affero General
// Public
// License in the COPYING file that comes with Regards 
// Citoyen's CPC Project.
// If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------?>
<?php

require_once sfConfig::get('sf_lib_dir').'/vendor/swift/swift_init.php'; 

class mailComponents extends sfComponents
{
  public function executeSend()
  {

    if (!isset($this->subject))
      throw new Exception('subject needed');

    if (!isset($this->to)) 
      throw new Exception('to needed');

    if (!isset($this->partial)) 
      throw new Exception('partial needed');

    if (!isset($this->mailContext)) 
      throw new Exception('mailContext needed');

    if (isset($this->action)) 
      throw new Exception('action should not be defenied anymore');

    $this->getContext()->getConfiguration()->loadHelpers('Partial');
    
    $message = Swift_Message::newInstance()

      //Give the message a subject
      ->setSubject($this->subject)

      //Set the From address with an associative array
      ->setFrom(array('devnull@nosdeputes.fr' => '"Nos Deputes (Ne pas repondre)"'))

      //Set the To addresses with an associative array
      ->setTo($this->to)

      //Give it a body
      ->setBody(get_partial('mail/'.$this->partial, $this->mailContext))
      ;


    $transport = Swift_SmtpTransport::newInstance();

    $mailer = Swift_Mailer::newInstance($transport);

    $result = $mailer->send($message);

  }
}