<?php
//////////////////////////////////////////////////////////////
// Copyright (C) 2009 : Tangui Morlier, Benjamin Ooghe, Brice Person, 
// This file is part of Regards Citoyens' CPC Project.
// The Project is free software: you can redistribute it 
// and/or modify it under the terms of the Affero General
// Public License as published by Free Software Foundation
// either version 3 of the License, or (at your option)
// any later version.

// The Project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the 
// implied warranty of MERCHANTABILITY or FITNESS FOR 
// A PARTICULAR PURPOSE. See the Affero General Public
// License for more details.

// You should have received a copy of the Affero General
// Public
// License in the COPYING file that comes with Regards 
// Citoyen's CPC Project.
// If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------?>
<?php if (!preg_match('/^[A-ZÉ]$/', $search)) { ?>
<h1>Recherche de députés</h1>
<?php $sf_response->setTitle('Recherche de députés "'.$search.'"'); ?>
<p><?php $nResults = $pager->getNbResults(); echo $nResults; ?> résultat<?php if ($nResults > 1) echo 's'; ?> pour <em>"<?php echo $search; ?>"</em></p>
<?php } else { ?>
<h1>La liste de tous les députés par ordre alphabétique</h1>
<?php $sf_response->setTitle('La liste de tous les députés'); ?>
<p>Les <?php echo $total; ?> députés de la législature (<?php echo $actifs; ?> en activité)&nbsp;:</p>
<?php } ?>
<div class="liste_deputes">
<?php if (preg_match('/^[A-ZÉ]$/', $search)) { ?>
<div class="par_session">
<?php foreach(range('A','Z') as $i) {
  if ($i != $search) echo link_to($i ,'@list_parlementaires?search='.$i);
  else echo $i;
  echo '&nbsp;&nbsp;';
} ?>
</div>
<?php } ?>
<?php if (isset($similars) && $similars) {
   echo '<p>Peut être, cherchiez vous : </p><ul>';
   foreach($similars as $s) {
     echo '<li>'.link_to($s['nom'], 'parlementaire/show?slug='.$s['slug']).'</li>'; 
   }
   echo '</ul>';
 }?>
<ul>
<?php foreach($pager->getResults() as $parlementaire) : ?>
<li><?php echo link_to($parlementaire->nom, 'parlementaire/show?slug='.$parlementaire->slug); ?> (<?php echo $parlementaire->getStatut(1); ?>, <?php echo link_to($parlementaire->nom_circo, '@list_parlementaires_circo?search='.$parlementaire->nom_circo); ?>)</li>
<?php endforeach ; ?>
</ul>
<?php include_partial('parlementaire/paginate', array('pager' => $pager, 'link' => '@list_parlementaires?search='.$search.'&')); ?>
</div>
