<?php
//////////////////////////////////////////////////////////////
// Copyright (C) 2009 : Tangui Morlier, Palkeo
// This file is part of Regards Citoyens' CPC Project.
// The Project is free software: you can redistribute it 
// and/or modify it under the terms of the Affero General
// Public License as published by Free Software Foundation
// either version 3 of the License, or (at your option)
// any later version.

// The Project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the 
// implied warranty of MERCHANTABILITY or FITNESS FOR 
// A PARTICULAR PURPOSE. See the Affero General Public
// License for more details.

// You should have received a copy of the Affero General
// Public
// License in the COPYING file that comes with Regards 
// Citoyen's CPC Project.
// If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------?>
<div class="questions">
<?php if (isset($mots) && $mots) { ?>
<h1>Recherche de questions parlant de "<?php echo $mots; ?>"</h1>
<?php
 }
  $nResults = $pager->getNbResults();
  if ($nResults == 0) $nResults = 'Aucune';
  if (isset($_GET['search'])) {
    $mots = trim($_GET['search']);
    if ($mots != "") { ?>
<p><?php echo $nResults; ?> question<?php if ($nResults > 1) echo 's'; ?> trouvée<?php if ($nResults > 1) echo 's'; ?> pour la recherche sur <em>"<?php echo $mots; ?>"</em></p>
<?php } } else { ?>
<p><?php echo $nResults; ?> question<?php if ($nResults > 1) echo 's'; ?> trouvée<?php if ($nResults > 1) echo 's'; ?>.</p>
<?php } ?>
</div>
<div class="questions">
<?php foreach($pager->getResults() as $i) {
  $args = array('question' => $i);
  if (isset($highlight))
    $args['highlight'] = $highlight;
  if (isset($nophoto))
    $args['nophoto'] = true;
  echo include_component('questions', 'search', $args);
  }
?></div>
<?php if ($pager->haveToPaginate()) :

$uri = $sf_request->getUri();
$uri = preg_replace('/page=\d+\&?/', '', $uri);

if (!preg_match('/[\&\?]$/', $uri)) {
  if (preg_match('/\?/', $uri)) {
    $uri .= '&';
  }else{
    $uri .= '?';
  }
}

include_partial('parlementaire/paginate', array('pager'=>$pager, 'link'=>$uri));
endif;
