<?php
//////////////////////////////////////////////////////////////
// Copyright (C) 2009 : Benjamin Ooghe, Tangui Morlier, Palkeo
// This file is part of Regards Citoyens' CPC Project.
// The Project is free software: you can redistribute it 
// and/or modify it under the terms of the Affero General
// Public License as published by Free Software Foundation
// either version 3 of the License, or (at your option)
// any later version.

// The Project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the 
// implied warranty of MERCHANTABILITY or FITNESS FOR 
// A PARTICULAR PURPOSE. See the Affero General Public
// License for more details.

// You should have received a copy of the Affero General
// Public
// License in the COPYING file that comes with Regards 
// Citoyen's CPC Project.
// If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------?>
<?php use_helper('Text') ?>
  <div class="question" id="<?php echo $question->id; ?>">
    <div>
<?php $parlementaire = $question->getParlementaire(); ?>
  <h2><?php echo link_to($parlementaire->nom.'&nbsp;: '.$question['titre'], '@question?id='.$question->id); ?></h2>
    </div>
  <div class="texte_question"><?php
  if (!isset($nophoto))
    echo '<a href="/question/'.$question->id.'" class="intervenant"><img width="50" height="70" alt="'.$parlementaire->nom.'" src="'.url_for('@resized_photo_parlementaire?height=64&slug='.$parlementaire->slug).'" /></a>';
  $inter = preg_replace('/<\/?p>|\&[^\;]+\;/i', ' ', $question->getQuestion().' '.$question->getReponse().' Thèmes : '.$question->getThemes());
  $p_inter = '';
if (isset($highlight)) {
    foreach ($highlight as $h) {
    $p_inter .= excerpt_text($inter, $h, 400/count($highlight));
  }
  foreach ($highlight as $h) {
    if (!preg_match('/'.$h.'/', 'strong class="highlight"/'))
      $p_inter = highlight_text($p_inter, $h);
  }
 }else{
  $p_inter = truncate_text($inter, 400);
 }
echo $p_inter;
?>
  <div class="contexte">
    <a href="<?php echo url_for('@question?id='.$question->id); ?>">Lire la suite de la question</a></div>
  </div>
  </div>
