<?php
//////////////////////////////////////////////////////////////
// Copyright (C) 2009 : Tangui Morlier, Benjamin Ooghe, Palkeo
// This file is part of Regards Citoyens' CPC Project.
// The Project is free software: you can redistribute it 
// and/or modify it under the terms of the Affero General
// Public License as published by Free Software Foundation
// either version 3 of the License, or (at your option)
// any later version.

// The Project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the 
// implied warranty of MERCHANTABILITY or FITNESS FOR 
// A PARTICULAR PURPOSE. See the Affero General Public
// License for more details.

// You should have received a copy of the Affero General
// Public
// License in the COPYING file that comes with Regards 
// Citoyen's CPC Project.
// If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------?>
<div class="question" id="question<?php echo $question->numero ?>">
<?php
  $titre = 'Question N° '.$question->numero.' au '.$question->uniqueMinistere();
echo include_component('parlementaire', 'header', array('parlementaire' => $parlementaire, 'titre' => $titre, 'deputefirst' => true));
?>
  <div class="source"><a href="<?php echo $question->source; ?>">source</a></div>
  <p>Soumise le <?php echo myTools::displayDate($question->date) ?></p>
    <div id="question">
      <h2>Question</h2>
      <?php echo $question->question ?>
    </div>
    <div id="reponse">
      <h2>Réponse</h2>
      <?php if (! empty($question->reponse))
        echo  $question->reponse;
      else echo 'Cette question n\'a pas encore de réponse.' ?></div>
    <div class="commentaires">
      <h3>Commentaires</h3>
<?php echo include_component('commentaire', 'show', array('object' => $question)); ?>
<?php echo include_component('commentaire', 'form', array('object' => $question)); ?>
    </div>
</div>
