<?php
//////////////////////////////////////////////////////////////
// Copyright (C) 2009 : Tangui Morlier, Brice Person
// This file is part of Regards Citoyens' CPC Project.
// The Project is free software: you can redistribute it 
// and/or modify it under the terms of the Affero General
// Public License as published by Free Software Foundation
// either version 3 of the License, or (at your option)
// any later version.

// The Project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the 
// implied warranty of MERCHANTABILITY or FITNESS FOR 
// A PARTICULAR PURPOSE. See the Affero General Public
// License for more details.

// You should have received a copy of the Affero General
// Public
// License in the COPYING file that comes with Regards 
// Citoyen's CPC Project.
// If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------?>
<?php
class UploadAvatarForm extends sfForm
{
  public function configure()
  {
    $this->widgetSchema->setNameFormat('upload[%s]');
		
		$this->widgetSchema['photo'] = new sfWidgetFormInputFile();
    $this->validatorSchema['photo'] = new sfValidatorFile(array(
		'required' => false, 
		'mime_types' => array('image/jpeg', 'image/pjpeg', 'image/png', 'image/bmp')
		), array(
		'invalid' => 'Fichier invalide', 
    'mime_types' => 'L\'image doit &ecirc;tre de type JPG/PNG/BMP.', 
		'max_size' => '2Mo maxi'
		));
		
    // label
    $this->widgetSchema->setLabels(array(
      'photo' => 'Photo/Avatar : '
    ));
  }
  
}
?>