<?php
//////////////////////////////////////////////////////////////
// Copyright (C) 2009 : Benjamin Ooghe
// This file is part of Regards Citoyens' CPC Project.
// The Project is free software: you can redistribute it 
// and/or modify it under the terms of the Affero General
// Public License as published by Free Software Foundation
// either version 3 of the License, or (at your option)
// any later version.

// The Project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the 
// implied warranty of MERCHANTABILITY or FITNESS FOR 
// A PARTICULAR PURPOSE. See the Affero General Public
// License for more details.

// You should have received a copy of the Affero General
// Public
// License in the COPYING file that comes with Regards 
// Citoyen's CPC Project.
// If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------?>
<?php use_helper('Text') ?>
  <div class="amendement" id="<?php echo $amendement->id; ?>">
    <strong><h3><?php echo link_to(myTools::displayDate($amendement->date).' &mdash; Texte de loi N° '.$amendement->texteloi_id.'&nbsp;: '.$amendement->getTitreNoLink().' ('.$amendement->sort.')', 'amendement/show?id='.$amendement->id); ?><br/>
    <?php echo link_to(truncate_text($amendement->getSignataires(), 120), 'amendement/show?id='.$amendement->id); ?></h3></strong>
    <div class="texte_amendement"><?php
$amdmt = preg_replace('/<br\/?>|<\/?p>|\&[^\;]+\;/i', ' ', $amendement->getTexte(0)." Exposé sommaire : ".$amendement->getExpose());
$p_amdmt = '';
if (isset($highlight)) {
  foreach ($highlight as $h) {
    $p_amdmt .= excerpt_text($amdmt, $h, 400/count($highlight));
  }
  foreach ($highlight as $h) {
    $p_amdmt = highlight_text($p_amdmt, $h);
  }
}
if ($p_amdmt == '')
  $p_amdmt = truncate_text($amdmt, 350);
echo '<p>'.$p_amdmt.'</p>';
?></div>
    <div class="contexte">
      <p><?php echo link_to("Voir tout l'amendement", 'amendement/show?id='.$amendement->id); ?><?php if ($amendement->nb_commentaires) echo ' &mdash; '.link_to('Voir les '.$amendement->nb_commentaires.' commentaires', 'amendement/show?id='.$amendement->id.'#commentaires'); ?></p>
    </div>
  </div>