<?php
//////////////////////////////////////////////////////////////
// Copyright (C) 2009 : Tangui Morlier
// This file is part of Regards Citoyens' CPC Project.
// The Project is free software: you can redistribute it 
// and/or modify it under the terms of the Affero General
// Public License as published by Free Software Foundation
// either version 3 of the License, or (at your option)
// any later version.

// The Project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the 
// implied warranty of MERCHANTABILITY or FITNESS FOR 
// A PARTICULAR PURPOSE. See the Affero General Public
// License for more details.

// You should have received a copy of the Affero General
// Public
// License in the COPYING file that comes with Regards 
// Citoyen's CPC Project.
// If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------?>
<h1>Créer un compte-rendu citoyen</h1>
<?php
if (isset($seances)) {
  echo '<h2>Nous avons trouvé des séances correspondants à vos critères<br/>Veuillez selectionner celle à laquelle vous avez participé</h2><ul>';
  foreach($seances as $s) {
    echo '<li><a href="'.url_for('@compterendu_new?object_id='.$s['id']).'">Séance du '.myTools::displayDate($s['date']).', '.$s['moment'].'</a></li>';
  }
  echo '</ul>';
  return;
}
if (isset($found_sections)) {
  echo '<h2>Plusieurs projets correspondent à vos critères, veuillez en selectionner un</h2><ul>';
  foreach($found_sections as $s) {
    echo '<li><a href="?section_id='.$s['id'].'&cdate='.$form->getValue('date').'">'.$s['titre'].'</a></li>';
  }
  echo '</ul>';
  return ;
}
?>
<p>Pour créer un compte rendu citoyen, vous devez d'abord nous indiquer à quelle séance vous avez assisté</p>
<form>
<p>Indiquez la date à laquelle vous avez assisté à une séance publique en hémicycle :</p>
<table>
<?php
echo $form;
?>
</table>
<input type="submit" value="Chercher"/>
</form>
<p><strong>Ou</strong> Indiquez un mot du projet de loi auquel vous avez assisté :</p>
<form><table>
<tr><th>Nom du projet de loi</th><td><input name='section' value="<?php echo $section; ?>"/></td></tr>
</table>
<input type="submit" value="Chercher"/>
</form>