<?php
//////////////////////////////////////////////////////////////
// Copyright (C) 2009 : Tangui Morlier, Benjamin Ooghe
// This file is part of Regards Citoyens' CPC Project.
// The Project is free software: you can redistribute it 
// and/or modify it under the terms of the Affero General
// Public License as published by Free Software Foundation
// either version 3 of the License, or (at your option)
// any later version.

// The Project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the 
// implied warranty of MERCHANTABILITY or FITNESS FOR 
// A PARTICULAR PURPOSE. See the Affero General Public
// License for more details.

// You should have received a copy of the Affero General
// Public
// License in the COPYING file that comes with Regards 
// Citoyen's CPC Project.
// If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------?>
<h1>Intervention de <?php echo $intervention->getParlementaire()->nom; ?></h1>
<?php 
$section = $intervention->getSection();
$titre2 = $intervention->getSeance()->getTitre(0,0,$intervention->getMd5());
$titre2 .= ' <br/> ';
if ($intervention->getType() == 'commission') {
  $orga = $intervention->getSeance()->getOrganisme();
  $titre2 .= link_to($orga->getNom(), '@list_parlementaires_organisme?slug='.$orga->getSlug());
 }
if ($section->getSection()) {
  $titre2 .= link_to(ucfirst($section->getSection()->getTitre()), '@section?id='.$section->section_id);
  $titre2 .= ' &nbsp; ';
 }
if ($section->getTitre())
  $titre2 .= link_to(ucfirst($section->getTitre()), '@section?id='.$section->id);
if(count($amdmts) >= 1)
  $titre2 .= ', amendement';
if(count($amdmts) > 1) $titre2 .= 's';
$titre2 .= ' ';
foreach($amdmts as $amdmt)
$titre2 .= link_to($amdmt, '/amendements/'.(implode(',',$lois).'/'.$amdmt)).' ';

?>
<h2><?php echo $titre2 ; ?></h2>
<div class="interventions">
  <?php echo include_component('intervention', 'parlementaireIntervention', array('intervention' => $intervention, 'complete' => true, 'lois' => $lois, 'amdmts' => $amdmts, 'section'=>$section)); ?>
</div>
