<?php
//////////////////////////////////////////////////////////////
// Copyright (C) 2009 : Tangui Morlier
// This file is part of Regards Citoyens' CPC Project.
// The Project is free software: you can redistribute it 
// and/or modify it under the terms of the Affero General
// Public License as published by Free Software Foundation
// either version 3 of the License, or (at your option)
// any later version.

// The Project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the 
// implied warranty of MERCHANTABILITY or FITNESS FOR 
// A PARTICULAR PURPOSE. See the Affero General Public
// License for more details.

// You should have received a copy of the Affero General
// Public
// License in the COPYING file that comes with Regards 
// Citoyen's CPC Project.
// If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------?>
<?php

/**
 * mail actions.
 *
 * @package    cpc
 * @subpackage mail
 * @author     Tangui Morlier
 * @version    SVN: $Id: actions.class.php 12479 2008-10-31 10:54:40Z fabien $
 */
class mailActions extends sfActions
{
 /**
  * Executes index action
  *
  * @param sfRequest $request A request object
  */
  public function executeTest(sfWebRequest $request)
  {
    $this->getComponent('mail', 'send', 
			     array(
				   'subject'=>'Un test', //Sujet du mail
				   'to'=>array('tangui@localhost'), //Destinataires
				   'partial'=>'test', //Partial contenant le contenu du mail (stocké dans template/_<nom du partial>.php
				   'mailContext'=>array() //Arguments passés au partial
				   ));
    return sfView::HEADER_ONLY;
  }
}
