<?php
//////////////////////////////////////////////////////////////
// Copyright (C) 2009 : Tangui Morlier, Benjamin Ooghe, Brice Person, Gabriel Kerneis, Collectif
// This file is part of Regards Citoyens' CPC Project.
// The Project is free software: you can redistribute it 
// and/or modify it under the terms of the Affero General
// Public License as published by Free Software Foundation
// either version 3 of the License, or (at your option)
// any later version.

// The Project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the 
// implied warranty of MERCHANTABILITY or FITNESS FOR 
// A PARTICULAR PURPOSE. See the Affero General Public
// License for more details.

// You should have received a copy of the Affero General
// Public
// License in the COPYING file that comes with Regards 
// Citoyen's CPC Project.
// If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------?>
<?php
$titres = array('semaine' => 'Semaines d\'activité',
	       'commission_presences' => 'Présences en commission',
	       'commission_interventions'=> 'Interventions en commission',
	       'hemicycle_interventions'=>'Interventions longues en hémicycle',
	       'hemicycle_invectives'=>'Interventions courtes en hémicycle',
	       'amendements_signes' => 'Amendements signés',
		//	       'amendements_adoptes'=>'Amendements adoptés',
		//	       'amendements_rejetes' => 'Amendements rejetés',
	       'questions_ecrites' => 'Questions écrites',
	       'questions_orales' => 'Questions orales');
$images = array('semaine' => 'ico_sem_%s.png',
	       'commission_presences' => 'ico_com_pre_%s.png',
	       'commission_interventions'=> 'ico_com_inter_%s.png',
	       'hemicycle_interventions'=>'ico_inter_hem_long_%s.png',
	       'hemicycle_invectives'=>'ico_inter_hem_court_%s.png',
	       'amendements_signes' => 'ico_amendmt_sign_%s.png',
		//	       'amendements_adoptes'=>'ico_amendmt_ado_%s.png',
		//	       'amendements_rejetes' => 'ico_amendmt_ref_%s.png',
	       'questions_ecrites' => 'ico_quest_ecrit_%s.png',
	       'questions_orales' => 'ico_quest_oral_%s.png');
$sort = array('semaine' => '1',
	       'commission_presences' => '2',
	       'commission_interventions'=> '3',
	       'hemicycle_interventions'=>'4',
	       'hemicycle_invectives'=>'5',
	       'amendements_signes' => '6',
		'amendements_adoptes'=>'7',
		'amendements_rejetes' => '8',
	       'questions_ecrites' => '9',
	       'questions_orales' => '10');
$couleur2style = array('vert' => ' style="color: green"',
	       'gris' => '',
	       'rouge' => ' style="color: red"');
$top = $parlementaire->getTop();
if (!$top)
  return ;
if (!$parlementaire->fin_mandat) {
  $mois = floor((time() - strtotime($parlementaire->debut_mandat) ) / (60*60*24*30));
  if($mois < 6) {
    echo '<h2>Activité parlementaire <small>(';
    if ($mois == 1) echo 'premier';
    else
      echo $mois.' premiers';
    echo ' mois de mandat) :</small></h2>';
    $rank = 0;
  }else {
    echo '<h2>Activité parlementaire <small>(12 derniers mois) :</small></h2>';
    $rank = 1;
  }
 } else {
  $rank = 0;
  $weeks = (strtotime($parlementaire->fin_mandat) - strtotime($parlementaire->debut_mandat))/(60*60*24*7);
  echo '<h2>';
  printf('Bilan de ses %d semaines de mandat :</h2>', $weeks);
 }
?>
<ul><?php
foreach(array_keys($images) as $k) {
  $couleur = 'gris';
  $titre = $titres[$k];
  if ($rank && $top[$k]['rank'] <= 150) {
    $couleur = 'vert';
    $titre .=' (fait partie des 150 premiers)';
  }
  else if ($rank && $top[$k]['rank'] >= $top[$k]['max_rank'] - 150) {
    $couleur = 'rouge';
    $titre .= ' (fait partie des 150 derniers)';
  }
  echo '<li';
  echo $couleur2style[$couleur];
  echo'>';
  if ($rank)
    echo '<a title="'.$titre.'" href="'.url_for('@top_global_sorted?sort='.$sort[$k].'#'.$parlementaire->slug).'">';
  echo '<img height="16" width="16" src="'.$sf_request->getRelativeUrlRoot().'/images/xneth/';
  printf($images[$k], $couleur);
  echo '" alt="'.$titre.'" title="'.$titre.'" />';
  echo ' : ';
  if (isset($top[$k]['value']))
    echo $top[$k]['value'];
  else echo '0';
  if ($rank)
    echo '</a>';
  echo '</li>';
}?></ul>
