<?php
//////////////////////////////////////////////////////////////
// Copyright (C) 2009 : Benjamin Ooghe, Tangui Morlier, Brice Person
// This file is part of Regards Citoyens' CPC Project.
// The Project is free software: you can redistribute it 
// and/or modify it under the terms of the Affero General
// Public License as published by Free Software Foundation
// either version 3 of the License, or (at your option)
// any later version.

// The Project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the 
// implied warranty of MERCHANTABILITY or FITNESS FOR 
// A PARTICULAR PURPOSE. See the Affero General Public
// License for more details.

// You should have received a copy of the Affero General
// Public
// License in the COPYING file that comes with Regards 
// Citoyen's CPC Project.
// If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------?>
<?php
$titre = 'Présence en hémicycle et commissions';
echo include_component('parlementaire', 'header', array('parlementaire' => $parlementaire, 'titre' => $titre));
?>
<p><?php $n_presences = count($presences); echo $n_presences." présences en commission depuis ".myTools::displayDate($parlementaire->debut_mandat); ?></p>
<ul>
<?php foreach($presences as $presence) : ?>
<?php $s = $presence->getSeance(); ?>
<?php $o = $s->getOrganisme(); ?>
<?php $nbpreuves = $presence->getNbPreuves(); ?>
<li><?php echo $s['type']; ?> : <?php echo $o['nom']; ?> <?php echo link_to($s->getTitre(), '@interventions_seance?seance='.$s['id']); ?> <em>(<?php echo link_to(($nbpreuves>1) ? "$nbpreuves preuves" : "1 preuve", '@preuve_presence_seance?seance='.$s['id'].'&slug='.$parlementaire->slug); ?>)</em></li>
<?php endforeach; ?>
</ul>
</div>
