<?php
//////////////////////////////////////////////////////////////
// Copyright (C) 2009 : Benjamin Ooghe, Tangui Morlier
// This file is part of Regards Citoyens' CPC Project.
// The Project is free software: you can redistribute it 
// and/or modify it under the terms of the Affero General
// Public License as published by Free Software Foundation
// either version 3 of the License, or (at your option)
// any later version.

// The Project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the 
// implied warranty of MERCHANTABILITY or FITNESS FOR 
// A PARTICULAR PURPOSE. See the Affero General Public
// License for more details.

// You should have received a copy of the Affero General
// Public
// License in the COPYING file that comes with Regards 
// Citoyen's CPC Project.
// If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------?>
<h1><?php if ($orga = $seance->getOrganisme()) echo link_to($orga->getNom(), '@list_parlementaires_organisme?slug='.$orga->getSlug()); ?></h1>
<h2>Députés présents à la <?php echo link_to($seance->getTitre(1), '@interventions_seance?seance='.$seance->id); ?>&nbsp;:</h2>
<div class="plot_seance">
<?php $titre = 'Députés présents à la '.$seance->getTitre(1);
if (isset($orga)) $titre = $orga->getNom().$titre;
$sf_response->setTitle($titre);
if ($seance->type == 'commission') 
  echo include_component('plot', 'groupes', array('plot' => 'seance_com_'.$seance->id, 'nolink' => true)); ?>
</div>
  <div class="photos"><p>
  <?php $ntot = count($presences); $line = floor($ntot/(floor($ntot/16)+1)); $ct = 0; foreach ($presences as $presence) {
    $depute = $presence->getParlementaire();
    $titre = $depute->nom.', '.$depute->groupe_acronyme;
    if ($ct != 0 && $ct != $ntot-1 && !($ct % $line)) echo '<br/>'; $ct++;
    echo '<a href="'.url_for($depute->getPageLink()).'"><img width="50" height="64" title="'.$titre.'" alt="'.$titre.'" src="'.url_for('@resized_photo_parlementaire?height=70&slug='.$depute->slug).'" /></a>&nbsp;';
  } ?></p></div>

<ul>
<?php $titre = 0; foreach($presences as $presence) : ?>
<?php $p = $presence->getParlementaire(); ?>
<?php $nbpreuves = $presence->getNbPreuves(); 
    if ($titre == 0) {
      if ($nbpreuves == 1)
        $titre = -1;
      else {
        $titre++;
        echo '<li>Participants&nbsp;:<ul>';
      }
    } else if ($titre == 1 && $nbpreuves == 1) {
      $titre++;
      echo '</ul><li>Non-participants&nbsp;:<ul>';
    } ?>
<li><?php echo link_to($p->nom, '@parlementaire?slug='.$p->getSlug()).', '.$p->getLongStatut(1); ?> <em><a href="<?php echo url_for('@preuve_presence_seance?seance='.$seance->id.'&slug='.$p->slug); ?>">(<?php echo ($nbpreuves>1) ? "$nbpreuves preuves" : "1 preuve"; ?>)</a></em></li>
<?php endforeach;
  if ($titre == 2) echo '</ul>'; ?>
</ul>
