<?php
//////////////////////////////////////////////////////////////
// Copyright (C) 2009 : Palkeo, Tangui Morlier, Benjamin Ooghe
// This file is part of Regards Citoyens' CPC Project.
// The Project is free software: you can redistribute it 
// and/or modify it under the terms of the Affero General
// Public License as published by Free Software Foundation
// either version 3 of the License, or (at your option)
// any later version.

// The Project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the 
// implied warranty of MERCHANTABILITY or FITNESS FOR 
// A PARTICULAR PURPOSE. See the Affero General Public
// License for more details.

// You should have received a copy of the Affero General
// Public
// License in the COPYING file that comes with Regards 
// Citoyen's CPC Project.
// If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------?>
<?php

class QuestionsComponents extends sfComponents
{
  public function executeParlementaire()
  {
    $this->questions = Doctrine::getTable('QuestionEcrite')->createQuery('q')
      ->where('q.parlementaire_id = ?', $this->parlementaire->id)
      ->orderBy('q.date DESC')
      ->execute();
  }
  public function executeSearch(){}
  public function executePagerQuestions()
  {
    if (!$this->question_query)
          throw new Exception('question_query parameter missing');

    $pager = new sfDoctrinePager('Questions',20);
    $pager->setQuery($this->question_query);
    $pager->setPage($this->request->getParameter('page', 1));
    $pager->init();

    $this->pager = $pager;
  }
}
