<?php
//////////////////////////////////////////////////////////////
// Copyright (C) 2009 : Tangui Morlier
// This file is part of Regards Citoyens' CPC Project.
// The Project is free software: you can redistribute it 
// and/or modify it under the terms of the Affero General
// Public License as published by Free Software Foundation
// either version 3 of the License, or (at your option)
// any later version.

// The Project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the 
// implied warranty of MERCHANTABILITY or FITNESS FOR 
// A PARTICULAR PURPOSE. See the Affero General Public
// License for more details.

// You should have received a copy of the Affero General
// Public
// License in the COPYING file that comes with Regards 
// Citoyen's CPC Project.
// If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------?>
<?php

class setSessionTask extends sfBaseTask {
  protected function configure() {
    $this->namespace = 'set';
    $this->name = 'Session';
    $this->briefDescription = 'Load Sessions for Seances';
  }

  protected function execute($arguments = array(), $options = array()) {
    $semaines = array();

    $manager = new sfDatabaseManager($this->configuration);
    $sessions = Doctrine::getTable('Seance')->createQuery('s')->select('session, min(date)')->groupBy('session')->where('session LIKE ?', '2%')->orderBy('min(date) DESC')->fetchArray();
    $serialize = array();
    foreach($sessions as $s) {
      $serialize[$s['session']] = $s['min'];
    }
    $var = Doctrine::getTable('VariableGlobale')->findOneByChamp('session');
    if (!$var) {
      $var = new VariableGlobale();
      $var->champ = 'session';
    }
    $var->value = serialize($serialize);
    $var->save();
  }
}

?>